Public Attributes | List of all members
ble_l2cap_enh_lecb_conn_req_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter of LE enhanced credit based connection request packet sending. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint16_t | le_psm
| The le_psm number. More...
uint16_t | mtu
| The MTU field specifies the maximum SDU size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request can receive on each of these channels. More...
uint16_t | mps
| The MPS field specifies the maximum payload size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request is capable of receiving on these channels. More...
uint16_t | local_credits
| The local credits, it indicates the number of F-frames that the peer device can send to the L2CAP layer entity sending the LE Credit Based Connection Request. More...
uint16_t | chl_num
| It specifies the number of channel need to reconfigure, it shall not greater than 5. More...
uint16_t | local_cid [5]
| The Source CID is an array of 5 two octet values and represents the channel endpoints on the device sending the request. More...

## Detailed Description

The parameter of LE enhanced credit based connection request packet sending.

Note
  The le_psm should be registered by the peer device, otherwise the peer device will reject this request with result of LE_PSM not supported.
  The local_cid should be 0x0040-0x007F. If the local_cid is set to 0, the stack will assign it dynamically.
  The local_credit is required to be sure that at least one SDU can be received, otherwise the stack will use the default value: (MTU + MPS + 1) /MPS + 1.
  The MTU range is [64~max_mtu].
  The MPS range is [64~max_mps].
  About max_mtu and max_mps config, please see ble_gap_l2cap_params_set.

Definition at line 138 of file ble_l2cap.h.

## Member Data Documentation

## ◆ chl_num

uint16_t ble_l2cap_enh_lecb_conn_req_t::chl_num

It specifies the number of channel need to reconfigure, it shall not greater than 5.

Definition at line 144 of file ble_l2cap.h.

## ◆ le_psm

uint16_t ble_l2cap_enh_lecb_conn_req_t::le_psm

The le_psm number.

Definition at line 140 of file ble_l2cap.h.

## ◆ local_cid

uint16_t ble_l2cap_enh_lecb_conn_req_t::local_cid[5]

The Source CID is an array of 5 two octet values and represents the channel endpoints on the device sending the request.

Definition at line 145 of file ble_l2cap.h.

## ◆ local_credits

uint16_t ble_l2cap_enh_lecb_conn_req_t::local_credits

The local credits, it indicates the number of F-frames that the peer device can send to the L2CAP layer entity sending the LE Credit Based Connection Request.

Definition at line 143 of file ble_l2cap.h.

## ◆ mps

uint16_t ble_l2cap_enh_lecb_conn_req_t::mps

The MPS field specifies the maximum payload size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request is capable of receiving on these channels.

Definition at line 142 of file ble_l2cap.h.

## ◆ mtu

uint16_t ble_l2cap_enh_lecb_conn_req_t::mtu

The MTU field specifies the maximum SDU size (in octets) that the L2CAP layer entity sending the enhanced LE Credit Based Connection Request can receive on each of these channels.

Definition at line 141 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h